passaggio da 2.4.13 a 2.4.15

Sezione dedicata ai problemi con l'installazione e l'aggiornamento del software, con discussioni sulle configurazioni di specifici server o fornitori di hosting.
Rispondi
Avatar utente
studiocet
Messaggi: 13
Iscritto il: 03 mag 2019 11:05

passaggio da 2.4.13 a 2.4.15

Messaggio da studiocet »

Abbiamo eseguito l'aggiornamento e ora ci troviamo con questo errore:
Si è verificato un'errore [uid: 7e1e165]. Se il problema persiste siete pregati di chiedere assistenza tramite il forum apposito (https://forum.openstamanager.com/).
Uncaught Exception Illuminate\Database\QueryException: "SQLSTATE[42S22]: Column not found: 1054 Unknown column 'updated_at' in 'field list' (SQL: update `zz_cache` set `content` = [{"id":0,"name":"IT01669450361_200j0.xml","file":true}], `expire_at` = 2020-05-12 10:13:51, `updated_at` = 2020-05-11 10:13:51 where `id` = 1)" at /home/fausto9cet/domains/servercet.it/public_html/manager/vendor/illuminate/database/Connection.php line 647 .
Sinceramente siamo molto perplessi che quasi con ogni aggiornamento si debbano creare dei problemi, spesso collegati ad aggiunte di campi nei DB o similari. Se , e giustamente, volete ricevere compensi per il vostro lavoro, create una versione professional a pagamento e in questa evitate di creare queste problematiche. lo so che voi avete un servizio di assistenza a pagamento, ma noi come penso altre aziende non possiamo darvi accesso ai server per fornire questo servizio.
Nella speranza di ricevere una soluzione saluto

Avatar utente
dasc3er
Messaggi: 1029
Iscritto il: 11 lug 2016 17:41

Re: passaggio da 2.4.13 a 2.4.15

Messaggio da dasc3er »

Ciao studiocet,
posso certamente confermarti che esiste un supporto tecnico per l'aggiornamento.
Posso anche assicurarti che i malfunzionamenti di aggiornamento non sono volontari, e sei libero di contribuire al software su GitHub (https://github.com/devcode-it/openstamanager).

Posso anche dire con sicurezza che il problema in questo caso non è stato strettamente causato dall'aggiornamento.
Per la precisione, sembra manchino alcuni campi nella tabella zz_cache. Questo può essere causato da una versione troppo vecchia di MySQL.
Prova ad eseguire le seguenti query:

Codice: Seleziona tutto

ALTER TABLE `zz_cache` ADD `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP;
ALTER TABLE `zz_cache` ADD `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
L'errore in ogni caso non è bloccante, malgrado impedisca il corretto funzionamento della cache.

Avatar utente
studiocet
Messaggi: 13
Iscritto il: 03 mag 2019 11:05

Re: passaggio da 2.4.13 a 2.4.15

Messaggio da studiocet »

grazie, siamo riusciti a sistemare il problema, non si trattava di una versione "vecchia" di Mysql ma un problema legato alle colonne, grazie

Rispondi